<?xml version='1.0' encoding='UTF-8' ?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"
      xmlns:h="http://xmlns.jcp.org/jsf/html"
      xmlns:p="http://primefaces.org/ui"
      xmlns:ui="http://xmlns.jcp.org/jsf/facelets">
    <h:head>
        <title>Construcción Paredes</title>
        <h:outputStylesheet name="style.css" library="css" />
       
    </h:head>
    <h:body>
        <ui:composition template="./padre.xhtml">
            <ui:define name="content"> 

                <p:fieldset legend="Agregar Construcción de Paredes" style="margin-bottom:10px">
                    <h:form id="formParedes">
                        <p:growl id="mensaje"/>
                        <h:panelGrid columns="2" cellpadding="2" cellspacing="2">
                            <p:outputLabel value="Tipo de Pared" style="margin-right:15px;"/>
                            <p:inputText value="#{cons_paredController.cons_pared.tipo}"/>
                            <div class="registrar"> 
                                <p:commandButton style="top:6px" icon="pi pi-save"  rendered="#{cons_paredController.cons_pared.tipo==null}" value="Registrar" actionListener="#{cons_paredController.guardar()}" update=":listaPared,:formParedes,:formParedes:mensaje"/>
                            </div>
                            <p:commandButton icon="pi pi-times" rendered="#{cons_paredController.cons_pared.tipo!=null}" value="Cancelar" actionListener="#{cons_paredController.init()}" update=":listaPared,:formParedes,:formParedes:mensaje"/>
                            <p:commandButton icon="pi pi-refresh" rendered="#{cons_paredController.cons_pared.tipo!=null}" value="Actualizar" actionListener="#{cons_paredController.editar()}" update=":listaPared,:formParedes,:formParedes:mensaje"/>

                        </h:panelGrid>
                    </h:form>
                </p:fieldset>
                
                <p:fieldset legend="Listado de Construcción de Paredes">
                    <h:form id="listaPared" class="dosColumnas">
                        <p:dataTable value="#{cons_paredController.lista}" var="ver"  paginator="true" rows="5" reflow="true" style="width: 80%; margin: auto;">
                            <p:column headerText="Tipo de Pared">
                                <p:outputLabel value="#{ver.tipo}"/>
                            </p:column>
                            <p:column headerText="Acciones">     
                                <div class="eliminar"> 
                                    <p:commandButton icon="pi pi-trash"  value="Eliminar" action="#{cons_paredController.eliminar(ver)}" update=":listaPared, :formParedes:mensaje"/>
                                </div>
                                <div class="editar"> 
                                    <p:commandButton icon="pi pi-pencil" value="Editar" action="#{cons_paredController.consultarById(ver)}" update=":formParedes"/>
                                </div>
                            </p:column>
                        </p:dataTable>
                    </h:form>
                </p:fieldset>

            </ui:define>
        </ui:composition>
    </h:body>
</html>